| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # XMLGrammarDescription Class Reference Inheritance diagram for XMLGrammarDescription: [legend] List of all members.
## Public Member Functions
MemoryManager * | getMemoryManager () const
Virtual destructor for derived classes
virtual | ~XMLGrammarDescription ()
| virtual destructor
The Grammar Description Interface
virtual Grammar::GrammarType | getGrammarType () const =0
| getGrammarType
virtual const XMLCh * | getGrammarKey () const =0
| getGrammarKey
## Protected Member Functions
| XMLGrammarDescription (MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
| Hidden Constructors.
## Constructor & Destructor Documentation
virtual XMLGrammarDescription::~XMLGrammarDescription | ( |  | ) | `[virtual]`
virtual destructor
XMLGrammarDescription::XMLGrammarDescription | ( | MemoryManager *const | memMgr = `XMLPlatformUtils::fgMemoryManager` | ) | `[protected]`
Hidden Constructors. ## Member Function Documentation
virtual Grammar::GrammarType XMLGrammarDescription::getGrammarType | ( |  | ) | const`[pure virtual]`
getGrammarType Implemented in XMLDTDDescription, and XMLSchemaDescription.
virtual const XMLCh* XMLGrammarDescription::getGrammarKey | ( |  | ) | const`[pure virtual]`
getGrammarKey
MemoryManager * XMLGrammarDescription::getMemoryManager | ( |  | ) | const
The documentation for this class was generated from the following file: XMLGrammarDescription.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.